// 百度地图API功能
var map = new BMap.Map("allmap");
var point = new BMap.Point(114.090325, 32.129247);
var pointArray = new Array();
var json_data;
var opts = {
	width: 250, // 信息窗口宽度
	height: 80, // 信息窗口高度
	title: "", // 信息窗口标题
	enableMessage: true //设置允许信息窗发送短息
};
$(document).ready(function () {
     //日期
	laydate.render({
	    elem: '#starttime', //指定元素
	    range:'~'
	});    
	QY();
	LY();
	mapLoad();
	throungh();
	tree();
	$(".Seach").click(function() {
		var time1=$('#starttime').val() && $('#starttime').val().split(' ~ ')[1];
		var time2=$('#starttime').val() && $('#starttime').val().split(' ~ ')[0];
		var aDate, oDate1, oDate2, iDays
		DateDiff(time1, time2)
		function DateDiff(sDate1, sDate2) { //sDate1和sDate2是2002-12-18格式
			aDate = sDate1.split("-")
			oDate1 = new Date(aDate[1] + '-' + aDate[2] + '-' + aDate[0]) //转换为12-18-2002格式
			aDate = sDate2.split("-")
			oDate2 = new Date(aDate[1] + '-' + aDate[2] + '-' + aDate[0])
			iDays = parseInt(Math.abs(oDate1 - oDate2) / 1000 / 60 / 60 / 24) //把相差的毫秒数转换为天数
			console.log(iDays);
		}
		if (iDays>=7) {
			layer.msg("您选择时间大于7天，数据无法加载");
		}else {
			throungh();
		}
		
	})
});

//搜索开始
//区域
function QY() {
    $("#sourcearea").empty();
    //$("#sourcearea").append('<option selected="selected" value="">请选择</option>');
    $.getJSON(huayi.config.callcenter_url + "Area/GetAreaListById", {
        "token": $.cookie("token"),
    }, function (data) {
        if (data.state.toLowerCase() == "success") {
            var content = data.data;
            $(content).each(function (i, n) {
                if (n.F_AreaName != '安阳市') {
                    $("<option value='" + n.F_AreaId + "'>" + n.F_AreaName + "</option>").appendTo("#sourcearea");
                }
            })
        }
    })
}
//来源
function LY() {
    $("#source").empty();
    $("#source").append('<option selected="selected" value="">请选择</option>');
    $.getJSON(huayi.config.callcenter_url + "Dictionary/GetDicValueListById", {
        "token": $.cookie("token"),
        id: 1
    }, function (data) {
        if (data.state.toLowerCase() == "success") {
            var content = data.data;
            $(content).each(function (i, n) {
                $("<option value='" + n.F_ValueId + "'>" + n.F_Value + "</option>").appendTo("#source");
            })
        }
    })
}
//所属分类下拉
$('.inps').focus(function () {
    $('.xlAdd').css('display', 'block')
})
$('.xl').click(function () {
    if ($('.xlAdd').css('display') == 'block') {
        $('.xlAdd').css('display', 'none')
    } else {
        $('.xlAdd').css('display', 'block')
    }
})
$('.addTree').mouseleave(function () {
    $(this).css('display', 'none')
})
//清除
$(".Cleans ").click(function () {
    $('.inps').val("");
    $("#PID").val("");
    $("#Dpment").val("");
})
function tree() {
    $.get(huayi.config.callcenter_url + 'Department/GetDeptList', {
        "token": $.cookie("token"),
        //		"pid": pid
    }, function (result) {
        result = $.parseJSON(result);
        $.fn.zTree.init($("#addTreeDemo"), setting1, result.data); //实例化树形图
    });
}
var setting1 = {
    data: {
        key: {
            name: "F_DeptName"
        },
        simpleData: {
            enable: true,
            idKey: "F_DeptId",
            pIdKey: "F_PartentId",
            rootPId: 0
        }
    },
    callback: {
        onClick: zTreeOnClick
    }
};
function zTreeOnClick(event, treeId, treeNode) {
    if (treeNode.level >= 2) {
        $('.inps').val(treeNode.F_DeptName);
        $("#PID").val(treeNode.F_DeptId);
        $("#Dpment").val(treeNode.F_DeptId);
        $(".Cleans").show();
    }
};
function Close() {
    $(".lyxz").removeClass("cx");
    if ($('audio').length > 0) {
        $('audio')[0].pause();
    }
}

function throungh() {
	$.ajax({
		type: "get",
		url: huayi.config.callcenter_url + "WorkOrderReport/GetHotspotMap",
		async: true,
		dataType: 'json',
		data: {
			token: $.cookie("token"),
			start:$('#starttime').val() && $('#starttime').val().split(' ~ ')[0], //=开始时间
			end:$('#starttime').val() && $('#starttime').val().split(' ~ ')[1], //=结束时间
			deptid: $("#Dpment").val(),
			keyid:$("#key").val(),
			sourcearea:$('#sourcearea').val(),
			source:$("#source").val()
		},
		success: function(result) {
			if(result.state.toLowerCase() == "success") {
				json_data = result.data;
				for(var i = 0; i < json_data.length; i++) {
					var marker = new BMap.Marker(new BMap.Point(json_data[i][0], json_data[i][1])); // 创建点
					map.addOverlay(marker); //增加点
					pointArray[i] = new BMap.Point(json_data[i][0], json_data[i][1]);
					var content = json_data[i][2];
					addClickHandler(content, marker);
					//让所有点在视野范围内
					map.setViewport(pointArray);
				}
				console.log(json_data)
			}
		}
	})
}
function mapLoad(){
	var city = '安阳市';
	// 创建地址解析器实例
	var address = '河南省安阳睢阳区';
	var myGeo = new BMap.Geocoder();
	myGeo.getPoint(address, function(point) {
		if(point) {
			//定位到区 ，级别显示12
			map.centerAndZoom(point, 12);
			map.enableScrollWheelZoom(true); //开启鼠标滚轮缩放
			//删除选点
			map.clearOverlays();
		} else {
			// alert("您选择地址没有解析到结果!");
		}
	}, city);
//	map.centerAndZoom(point, 15);
//	map.enableScrollWheelZoom(true); //开启鼠标滚轮缩放
}
$('#sourcearea').change(function(obj) {
	if($('#sourcearea').val() == "") {
		alert("请选择省市区");
		return;
	}
	var address = '河南省安阳' + $('#sourcearea').find("option:selected").text();;
	//var address = '河南省安阳市睢阳区'
	if(address != "") {
		var city = '安阳市';
		// 创建地址解析器实例
		var myGeo = new BMap.Geocoder();
		myGeo.getPoint(address, function(point) {
			if(point) {
				//定位到区 ，级别显示12
				map.centerAndZoom(point, 12);
				//删除选点
				map.clearOverlays();
				for(var i = 0; i < json_data.length; i++) {
					var marker = new BMap.Marker(new BMap.Point(json_data[i][0], json_data[i][1])); // 创建点
					map.addOverlay(marker); //增加点
					pointArray[i] = new BMap.Point(json_data[i][0], json_data[i][1]);
					var content = json_data[i][2];
					addClickHandler(content, marker);
				}
			} else {
				// alert("您选择地址没有解析到结果!");
			}
		}, city);
	}
});



function addClickHandler(content, marker) {
	marker.addEventListener("click", function(e) {
		openInfo(content, e)
	});
}

function openInfo(content, e) {
	var p = e.target;
	var point = new BMap.Point(p.getPosition().lng, p.getPosition().lat);
	var infoWindow = new BMap.InfoWindow(content, opts); // 创建信息窗口对象 
	map.openInfoWindow(infoWindow, point); //开启信息窗口
}
//移动到某一坐标点
function to(x, y) {
	map.panTo(new BMap.Point(x, y));

}